Content Hub: com::ubuntu::content::ImportExportHandler Class Reference

Content Hub 0.2.0 A session-wide content-exchange service |

Public Member Functions | Protected Member Functions | List of all members
com::ubuntu::content::ImportExportHandler Class Referenceabstract

`#include <import_export_handler.h>`

Inheritance diagram for com::ubuntu::content::ImportExportHandler:
Collaboration diagram for com::ubuntu::content::ImportExportHandler:

## Public Member Functions
| ImportExportHandler (const ImportExportHandler &)=delete
virtual | ~ImportExportHandler ()=default
ImportExportHandler & | operator= (const ImportExportHandler &)=delete
virtual Q_INVOKABLE void | handle_import (Transfer *)=0
virtual Q_INVOKABLE void | handle_export (Transfer *)=0
virtual Q_INVOKABLE void | handle_share (Transfer *)=0

## Protected Member Functions
| ImportExportHandler (QObject *parent=nullptr)

## Detailed Description

Definition at line 31 of file import_export_handler.h.

## Constructor & Destructor Documentation

## ◆ ImportExportHandler() [1/2]

com::ubuntu::content::ImportExportHandler::ImportExportHandler | ( | const ImportExportHandler & |  | ) |
| delete

## ◆ ~ImportExportHandler()

virtual com::ubuntu::content::ImportExportHandler::~ImportExportHandler | ( |  | ) |
| virtualdefault

## ◆ ImportExportHandler() [2/2]

com::ubuntu::content::ImportExportHandler::ImportExportHandler | ( | QObject * | parent = `nullptr` | ) |
| protected

## Member Function Documentation

## ◆ handle_export()

virtual Q_INVOKABLE void com::ubuntu::content::ImportExportHandler::handle_export | ( | Transfer * |  | ) |
| pure virtual

## ◆ handle_import()

virtual Q_INVOKABLE void com::ubuntu::content::ImportExportHandler::handle_import | ( | Transfer * |  | ) |
| pure virtual

## ◆ handle_share()

virtual Q_INVOKABLE void com::ubuntu::content::ImportExportHandler::handle_share | ( | Transfer * |  | ) |
| pure virtual

## ◆ operator=()

ImportExportHandler& com::ubuntu::content::ImportExportHandler::operator= | ( | const ImportExportHandler & |  | ) |
| delete

The documentation for this class was generated from the following file:

- /build/content-hub-git/src/content-hub/include/com/ubuntu/content/import_export_handler.h